package com.test.ejb;


import java.util.List;

import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.inject.Inject;

import com.test.cdi.PersonDAO;
import com.test.jpa.Person;


@Stateless
@LocalBean
public class TestEJB {

    @Inject
    private PersonDAO dao;

    public String method() {
    	List<Person> list = dao.getPeople();
        return getClass().getName() + ".method() called, result: " + (list.size() > 0 ? "some elements" : "empty");
    }
}