package com.test.cdi;

import java.util.List;

import javax.enterprise.context.ApplicationScoped;
import javax.inject.Inject;
import javax.persistence.EntityManager;

import com.test.jpa.Person;

@ApplicationScoped
public class PersonDAO {

	@Inject
	private EntityManager em;

	public List<Person> getPeople() {
		return em.createQuery("select p from Person p", Person.class).getResultList();
	}
}
